Summary: 	GNOME icon theme
Name: 		gnome-icon-theme
Version: 	3.12.0
Release: 	6
Source0: 	http://download.gnome.org/sources/gnome-icon-theme/3.12/%{name}-%{version}.tar.xz
Source1: 	legacy-icon-mapping.xml
License: 	GPL+
BuildArch: 	noarch
Group: 		Graphical desktop/GNOME

BuildRequires: icon-naming-utils >= 0.8.7
BuildRequires: gettext
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: intltool
BuildRequires: gtk+2.0

Requires: gnome-icon-theme-symbolic
Requires: hicolor-icon-theme
Requires: pkgconfig

%description
This package contains the default icon theme used by the GNOME desktop.

%package legacy
Summary:	Old names for icons in gnome-icon-theme
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}

%description legacy
This package contains symlinks to make the icons in gnome-icon-theme
available under old names.

%prep
%setup -q

%build
%configure2_5x --enable-icon-mapping

%install
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/gnome/icon-theme.cache
touch $RPM_BUILD_ROOT%{_datadir}/icons/gnome/icon-theme.cache

cp %{SOURCE1} .
export INU_DATA_DIR=$PWD
(cd $RPM_BUILD_ROOT%{_datadir}/icons/gnome
for size in 8x8 16x16 22x22 24x24 32x32 48x48 256x256; do
        cd $size || continue;
        echo -e "Adding rtl variants for $size"
        for dir in `find . -type d`; do
                context="`echo $dir | cut -c 3-`"
                if [ $context ]; then
                        icon-name-mapping -c $context
                fi
        done
        cd ..
done
)

# Add scalable directories for symbolic icons
(cd $RPM_BUILD_ROOT%{_datadir}/icons/gnome

mkdir -p scalable/actions
mkdir -p scalable/apps
mkdir -p scalable/devices
mkdir -p scalable/emblems
mkdir -p scalable/mimetypes
mkdir -p scalable/places
mkdir -p scalable/status
)

touch files.txt

(cd $RPM_BUILD_ROOT%{_datadir}
 echo "%%defattr(-,root,root)"
 find icons/gnome \( -name *-rtl.png -or -name *-ltr.png -or -type f \) -printf "%%%%{_datadir}/%%p\n"
 find icons/gnome -type d -printf "%%%%dir %%%%{_datadir}/%%p\n"
) > files.txt

(cd $RPM_BUILD_ROOT%{_datadir}
 echo "%%defattr(-,root,root)"
 find icons/gnome \( -type l -and -not -name *-rtl.png -and -not -name *-ltr.png \) -printf "%%%%{_datadir}/%%p\n"
) > legacy.txt

%post
%update_icon_cache gnome

%postun
%update_icon_cache gnome

%post legacy
%update_icon_cache gnome

%postun legacy
%update_icon_cache gnome

%files -f files.txt
%doc COPYING AUTHORS
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%files legacy -f legacy.txt


%changelog
